#leere Liste anlegen
adressen = []
#leere Menge anlegen
ips = set()
with open('log.txt','r') as datei, open('ip_adressen','w') as schreiben:
    for zeile in datei:
        #in ausgelesener Zeile ']' durch ':' ersetzen
        zeile = zeile.replace(']',':')
        #Zeile (String über ':' zerteilen
        ip = zeile.split(':')
        #den 7. Teilstring in die Menge speichern
        #Mengen haben keine doppelten Einträge
        ips.add(ip[6])
    for zeile in ips:
        schreiben.write(zeile + "\n")
    print(ips)